# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.91"
name = "awesome-sails-access-control"
version = "0.2.0"
authors = ["Gear Technologies"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A role-based access control (RBAC) service for Awesome Sails"
homepage = "https://gear-tech.io"
readme = "README.md"
license = "GPL-3.0"
repository = "https://github.com/gear-tech/gear"

[lib]
name = "awesome_sails_access_control"
path = "src/lib.rs"

[dependencies.awesome-sails-storage]
version = "0.2.0"
default-features = false

[dependencies.awesome-sails-utils]
version = "0.2.0"
default-features = false

[dependencies.sails-rs]
version = "0.10.1"
features = ["gstd"]
default-features = false

[dependencies.thiserror]
version = "=2.0.17"
default-features = false
